%global modname semver
%global common_description \
Python module for semantic versioning. Simplifies comparing versions.

Summary:        Python helper for Semantic Versioning
Name:           python-%{modname}
Version:        2.13.0
Release:        4%{?dist}
License:        BSD
URL:            https://github.com/k-bx/python-semver
Source0:        %{url}/archive/%{version}/%{modname}-%{version}.tar.gz

BuildArch:      noarch


%description
%{common_description}

%package     -n python3-%{modname}
Summary:        Python helper for Semantic Versioning
BuildRequires:  python3-devel python3-setuptools python3-pytest

%description -n python3-%{modname}
%{common_description}

Python 3 version.

%prep
%autosetup -n %{name}-%{version} -p1
sed -i '/-cov[=-]/d' setup.cfg
sed -i 's/TypeError: __init__() got an unexpected/TypeError: ...__init__() got an unexpected/' docs/usage.rst

%build
%py3_build

%install
%py3_install

%check
py.test-%{python3_version} -v

%files -n python3-%{modname}
%license LICENSE.txt
%doc README.rst CHANGELOG.rst
%{_bindir}/py%{modname}
%{python3_sitelib}/%{modname}-*.egg-info/
%{python3_sitelib}/%{modname}.py
%{python3_sitelib}/__pycache__/%{modname}.*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.13.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.13.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.13.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Jan 13 2023 Shuo Wang <abushwang@tencent.com> - 2.13.0-1
- initial build
